aboutsummaryrefslogtreecommitdiffstats
path: root/extra/zip/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-01-28 22:44:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-29 09:17:50 +0000
commitbeb09de66cb5d0baaae70622442ad0aed34c9c24 (patch)
tree821108aced4c1d22cd58b500e28db585cc4998d7 /extra/zip/APKBUILD
parent3cc9204922cd885c9dc712f515af115d4cdc52b9 (diff)
downloadaports-beb09de66cb5d0baaae70622442ad0aed34c9c24.tar.gz
aports-beb09de66cb5d0baaae70622442ad0aed34c9c24.tar.bz2
aports-beb09de66cb5d0baaae70622442ad0aed34c9c24.tar.xz
extra/zip: new aport
Diffstat (limited to 'extra/zip/APKBUILD')
-rw-r--r--extra/zip/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/extra/zip/APKBUILD b/extra/zip/APKBUILD
new file mode 100644
index 0000000000..4eab1bf885
--- /dev/null
+++ b/extra/zip/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=zip
+pkgver=3.0
+pkgrel=0
+pkgdesc="Creates PKZIP-compatible .zip files"
+url="http://www.info-zip.org/pub/infozip/Zip.html"
+license="AS IS"
+depends="uclibc"
+makedepends=""
+source="ftp://ftp.info-${pkgname}.org/pub/info${pkgname}/src/${pkgname}30.zip
+10-zip-3.0-build.patch
+20-zip-3.0-exec-stack.patch
+30-zip-3.0-pic.patch"
+subpackages="$pkgname-doc"
+
+build ()
+{
+ cd "${srcdir}/${pkgname}30"
+ for i in ../*.patch; do
+ msg "Applying $i"
+ patch -p0 < $i || return 1
+ done
+ make -f unix/Makefile LOCAL_ZIP="${CFLAGS} ${CPPFLAGS}" prefix=/usr generic || return 1
+ make -f unix/Makefile prefix=${pkgdir}/usr MANDIR=${pkgdir}/usr/share/man install
+}
+
+md5sums="e88492c8abd68fa9cfba72bc08757dba zip30.zip
+397f4e5e8e1df5ea87b576b6214ec07c 10-zip-3.0-build.patch
+aad98faa5fb4e608d6d898aba1a8ab27 20-zip-3.0-exec-stack.patch
+da61b00db253904323321b0e1ddd5301 30-zip-3.0-pic.patch"